package com.hungraim.ltc.governance.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * @author zwl
 * @ClassName SrvTaskScheduledServiceImpl
 * @description
 * @date 2023/3/2 14:37
 **/
@Service
@Slf4j
public class SrvTaskScheduledServiceImpl {

    @Autowired
    private SrvTaskService srvTaskService;

    @Scheduled(cron = "30 30 23 * * ?")
    public void timeAllocationSrvTask() {
        log.info("timeAllocationSrvTask========start");
        srvTaskService.timeAllocationSrvTask();
        log.info("timeAllocationSrvTask========end:{}");

    }
}
